//*****************************************
//@ohbPQkePWQQ mdbV[OCgpAŃGARpA h^nf[^erpRvOiVAԊOʐMɂj
//   PIC12LF1822 Remote Control for I/OTV & NEC ceiling light( with Serial IR Tranciever)
//
//
// File Name:12lf1822_light_tair_iotv.h
//  wb_[t@C
//
//   MPLAB IDE v8.84  HiTEC C
//
//  2017/10/21  New (TAB4) Taishi
//  2021/01/02  Modify from remote control for nixie by Taishi
//  2021/10/16  Modify from remote control for IOTV & NEC Ceiling Light by Taishi
//  2022/03/01  Modify from remote control for NEC ceiling light, Toshiba Aircon & I/O-TV by Taishi
//*****************************************
#define	_XTAL_FREQ	32000000L	//	giWlgS{j

// TX Data Format Mf[^tH[}bg
enum format {
	NEC_FORMAT = 0,					// mdbtH[}bg
	DENON_FORMAT,					// cdmnmŗLtH[}bg
	TAIR_FORMAT,					// ŃGARtH[}bg

	END_FORMAT
};

// ---- mdbtH[}bgp(1T:560) -----
#define	V_ZERO_ON_NEC		560				// [nmԁ@irj(1T)
#define	V_ZERO_OFF_NEC		560				// [neeԁirj(1T)
#define	V_ONE_ON_NEC		560				// P@nmԁ@irj(1T)
#define	V_ONE_OFF_NEC		1680			// P@neeԁirj(3T)
#define	V_LEADER_ON_NEC		8960			// [_[nmԁ@irj(16T)
#define	V_LEADER_OFF_NEC	4480			// [_[neeԁirj(8T)
#define	V_TRAILER_ON_NEC	560				// g|[@nmԁ@irj(1T)
#define	V_TRAILER_OFF_NEC	40000			// g[[@neeԁirj
//#define	V_ZERO_MIN_NEC		890				// [艺irj(1T+1T) 1120x0.8
//#define	V_ZERO_MAX_NEC		1340			// [irj(1T+1T) 1120x1.2
//#define	V_ONE_MIN_NEC		1790			// P艺irj(1T+3T) 2240x0.8
//#define	V_ONE_MAX_NEC		2680			// Pirj(1T+3T) 2240x1.2
//#define	V_LEADER_MIN_NEC	10750			// [_[ƔF	ŏԒl(uS)(16T+8T) 13440x0.8
#define	V_REPEAT_WAIT_NEC	55000			// s[gf[^𑗐M̑҂


// ---- ŃGARtH[}bgp(1T:560) -----
#define	V_ZERO_ON_TAIR		560				// [nmԁ@irj(1T)
#define	V_ZERO_OFF_TAIR		560				// [neeԁirj(1T)
#define	V_ONE_ON_TAIR		560				// P@nmԁ@irj(1T)
#define	V_ONE_OFF_TAIR		1680			// P@neeԁirj(3T)
#define	V_LEADER_ON_TAIR	4480			// [_[nmԁ@irj(8T)
#define	V_LEADER_OFF_TAIR	4480			// [_[neeԁirj(8T)
#define	V_TRAILER_ON_TAIR	560				// g|[@nmԁ@irj(1T)
#define	V_TRAILER_OFF_TAIR	5000			// g[[@neeԁirj
//#define	V_ZERO_MIN_TAIR		890				// [艺irj(1T+1T) 1120x0.8
//#define	V_ZERO_MAX_TAIR		1340			// [irj(1T+1T) 1120x1.2
//#define	V_ONE_MIN_TAIR		1790			// P艺irj(1T+3T) 2240x0.8
//#define	V_ONE_MAX_TAIR		2680			// Pirj(1T+3T) 2240x1.2
//#define	V_LEADER_MIN_TAIR	7160			// [_[ƔF	ŏԒl(uS)(8T+8T) 8960x0.8


